import {post} from "@/service/request.ts";

export function getList(data: ApiArticleSearchParams & ApiRequestPageParams) {
	return post<DataList<ListCrawlerNewsItem>>({url: '/spider/search', data})
}

export function getById(id: Id) {
	return post<NewsInfo>({url: '/spider/detail/' + id})
}

export function push2article(ids: Id[]) {
	return post({url: '/spider/push2article', data: {spider_ids: ids}})
}